@charset "UTF-8";

@font-face {
	font-family: 'roboto-regular';
	src: url('Roboto-Regular.ttf');
}

@font-face {
	font-family: 'roboto-bold';
	src: url('Roboto-Bold.ttf');
}

:root {
	--body-font-size: 14px;
	--body-line-height: 20px;
	--standard-padding: 10px;
}

* {
	margin: 0;
	padding: 0;
}

body {
	/*-webkit-user-select: none;*/
	-webkit-hyphens: auto;
	-moz-hyphens: auto;
	hyphens: auto;
	font-family: "roboto-regular";
	color: black;
	font-size: var(--body-font-size);
	line-height: var(--body-line-height);
	text-align: left;
	word-spacing: 0;
	/* letter-spacing: -0.25px;*/
	background: white;
-webkit-text-size-adjust: none;
}


/*-----------------------Standard Text Definition------------------------*/

p {
	margin: 0px;
	padding: 0px 12.5px var(--standard-padding) 12.5px;
}

.indent {
	margin-left: 10px;
}

.indent1 {
	margin-left: 20px;
}

p.text-center {
	text-align: center;
	/*  additional class for center alignment  */
}

.text-yellow {
	color: #E3DF70;
	margin-left: 3px;
}



span.recomm				{
						margin-bottom: 5px;
                        color:#56004E;
                        font-family: 'Roboto-bold';
						}

/* div.recomm     
						{
						-moz-border-radius: 1px;
						-webkit-border-radius: 1px;
						background: #ddd2e1;  or #f5f5f5 very light bg, #E6E8FA
						border: 0px solid #eaeaea;
						padding: 2px 2px 0px 2px;
	                    border-radius: 1px;
	                    margin: var(--standard-padding) 10px var(--standard-padding) 10px;
	                    border-radius: 1px;
	                    box-shadow: 1px 2px 4px rgba(0, 0, 0, .4);
						} */


/*-----------------------Headline Definition - 4 Level (Note: Display: none! Exception Level 4 clarify behavior with Editor)------------------------*/

p.h1:first-child {
	margin-top: 0px;
}

p.h1 {
	color:#0000FF;
	font-family: 'roboto-bold';
	 display: none;  
}

p.h2 {
	color: #298A08;
	font-family: 'roboto-bold';
	  display: none;  
}

p.h3 {
	color: #FF8000;
	font-family: 'roboto-bold';
	  display: none;  
}

p.h4 {
	color: #585858;
	font-family: 'roboto-bold';
	  display: none;  
}


/* Give margins between hidden elements and any other element*/

p.h1+* {
	margin-top: var(--standard-padding) !important;
}

p.h2+* {
	margin-top: var(--standard-padding) !important;
}

p.h3+* {
	margin-top: var(--standard-padding) !important;
}

p.h4+* {
	margin-top: var(--standard-padding) !important;
}


/* remove top margins to avoid double margins between elements */

p+table {
	margin-top: 0px !important;
}

p+div {
	margin-top: 0px !important;
}

p+div.legend {
	margin-top: 0px !important;
}

.header1+div.ref {
	margin-top: var(--standard-padding) !important;
}

.header2+div.ref {
	margin-top: var(--standard-padding) !important;
}

.header3+div.ref {
	margin-top: var(--standard-padding) !important;
}

.header4+div.ref {
	margin-top: var(--standard-padding) !important;
}



/*-----------------------Enumeration with Bullet Points - First Level------------------------*/

p.listlevel1:before {
	content: "\2022";
	padding-right: 10px;

}

p.listlevel1 {
	text-indent: -15px;
	padding-left: 31px;
}

p.list-level1:before {
	content: "\2022";
	padding-right: 10px;

}

p.list-level1 {
	text-indent: -15px;
	padding-left: 31px;
}


/*-----------------------Enumeration with Hyphen - Second Level------------------------*/

p.listlevel2:before ,p.listlevel5:before{
	content: "\2212";
	padding-right: 14px;
}

p.listlevel2,p.listlevel5 {
	text-indent: -22px;
	padding-left: 53px;
}
/*-----------------------Numbered List, first and second Level Note: also latin, small/big letters ------------------------*/
ol.enum1 {
	margin-top: 5px;
	margin-bottom: 10px;
	/*padding-left: 20px;*/
	padding-left: 1.7em;
	/*list-style-position: outside;*/
}

li.enum1 {
	margin: 0px 12.5px 0px 36px;
	text-align: left;
	padding-bottom: 10px;
}

/* -----------------Ordered list---------------        */

p.list:before {
	content: "";
	margin-right: -1.2em;
}

p.list {
    margin: 0px;
    text-indent: 0.1em;
    margin-left: 2.3em;
    margin-bottom: 0.40em;
    margin-top: 0.05em;
}
						

/*-----------------------Standard Source Code with div box------------------------*/

div.ref,
div.footn,
div.hyp-comment {
	-moz-border-radius: 1px;
	-webkit-border-radius: 1px;
	background: #F4F4F4;
	/*or #f5f5f5 very light bg*/
	border: 1px solid #FFF;
	padding: 2px 2px 0px 2px;
	border-radius: 1px;
	margin: var(--standard-padding) 10px var(--standard-padding) 10px;
	border-radius: 1px;
	box-shadow: 1px 2px 4px rgba(0, 0, 0, .4);
}

p.reference,
p.footnote {
	font-size: calc(var(--body-font-size) * 0.92);
	padding: 5px 5px 5px 5px !important;
	line-height: calc(var(--body-line-height) * 0.9);
	font-style: italic;

}

p.footnote {
	font-style: italic;
}

div.hyp-comment {
	box-shadow: 1px 2px 4px rgba(0, 0, 0, .4);
	background: -moz-linear-gradient(bottom, #ED6BA6, #ffffff);
	/* Firefox */
	background: -webkit-gradient(linear, left top, left bottom, from(#ffffff), to(#ED6BA6));
	/* Chrome, Safari */
	filter: progid:DXImageTransform.Microsoft.gradient(start Colorstr='#ffffff', endColorstr='#ED6BA6');
	/* Internet Explorer */
}

/*----------Standard Image Declaration with div container - use div container for Images and Algorithm-----------*/

div.legend {
	margin: var(--standard-padding) 10px var(--standard-padding) 10px !important;
}

img {
	width: 100%;
}


/*-----------------------Standard Image/Algorithm caption------------------------*/

p.fig-caption {
	font-family: 'roboto-bold';
}


p.list5 {
    margin: 0px;
    text-indent: -1.7em;
    margin-left: 2.5em;
    margin-bottom: 0.40em;
    margin-top: 0.05em;
}

/*----------------------------Different Text Highlighting Character styles---------------------------*/		
/*---------Bold Text black----------*/

.bold,b     
						{
						
                        font-family: 'Roboto-bold';
						}
p.bold     
						{
						
                        font-family: 'Roboto-bold';
						}				

span.bold     
						{
						
                        font-family: 'Roboto-bold';
						}				

/*---------Italic Text--------------*/

.italic     
						{
						font-style: italic;
						}
span.italic     
						{
						font-style: italic;
						}
p.italic     
						{
						font-style: italic;
						}

											
/*--------------Text/Number/Sign superscripted/subscripted--------------*/	

span.text-sup {
	vertical-align: super;
}

span.text-sub {
	vertical-align: sub;
}

.text-sub,
.text-sup {
	font-size: 0.7em;
	line-height: 100%;
}


.text-brown{
    color: #7C2224;
    font-family: 'roboto-bold';

}
/*--------------------------Standard Table Declaration------------------------*/

table.table,
table.recomm-table
 {
	width: calc(100% - 20px);
	table-layout: fixed;
	border-collapse: collapse;
	margin-top: var(--standard-padding);
	margin-right: 10px;
	margin-left: 10px;
	margin-bottom: var(--standard-padding);
	font-size: var(--body-font-size);
	border: 1px solid #999999;
	line-height: calc(var(--body-line-height) * 0.9);
	;
}

div.recomm-table
{
    -moz-border-radius: 1px;
    -webkit-border-radius: 1px;
    background: #ddd2e1;  /*or #f5f5f5 very light bg, #E6E8FA*/
    border: 0px solid #eaeaea;
    padding: 2px 2px 0px 2px;
    border-radius: 1px;
    margin: var(--standard-padding) 10px var(--standard-padding) 10px;
    border-radius: 1px;
    box-shadow: 1px 2px 4px rgba(0, 0, 0, .4);
    }

table.table+table.table {
	margin-top: 15px;
}

table.recomm-table+table.recomm-table {
	margin-top: 15px;
}

th, td {
padding: 8px 8px 0px 8px;
font-weight: normal;
}

td>p,
th>p {
	padding: 0px 0px var(--standard-padding) 0px;
}


/*-----------Standard Table head declaration, first, second Level and third Level----------*/

th.table-header1 {
	background-color:#74787A; 
}

th.table-header2 {
	background-color: #B0B0B0; 
}

th.table-header3 {
	background-color:#dbdbdb; 
}

th.table-header4 {
    background-color:#FCE3D9; 
}


/*----------Standard Table Header Text declaration---------------*/

p.table-title1 {
	text-align: left;
	color:#ffffff;
	font-family: 'roboto-bold';
}

p.table-title2 {
	text-align: left;
	color:#000000;
	font-family: 'roboto-bold';
}

p.table-title3 {
	text-align: left;
	color:#3E3D40;
}

p.table-title4 {
	color:#3E3D40;	
	text-align: left;
}


/*---------Standard Table Header Text Centered----------*/

p.table-title1-cent {
	color: #FFFFFF;
	font-family: 'roboto-bold';
	text-align: center;
}

p.table-title2-cent {
	font-family: 'roboto-bold';
	color: #3E3D40;
	text-align: center;
}

p.table-title3-cent {
	font-family: 'roboto-bold';
	color: #3E3D40;
	text-align: center;
}

p.table-title4-cent {
	color: #ffffff;
	font-family: 'roboto-bold';
	text-align: center;
}


/*---------Table columns and table rows border behavior----------*/

tr:first-child {
	border-bottom: 1px solid #999999;
}

tr+tr {
	border-bottom: 1px solid #999999;
}

td+td,
th+th {
	border-left: 1px solid #999999;
        
}

td {
	background: #ffffff;
	vertical-align: top;
}


/*-------------------Standard Table Text----------------------*/


p.table-text {
	text-align: left;
}

p.table-text-cent {
	text-align: center;
	color: #3E3D40;
}

p.table-text-white {
	color: #ffffff;
	text-align: left;
}

/*---------Table Cell Declaration Background any color----------*/



/*---------Column background gray  ----------*/

td.col-gray1 {
	background-color:#f4f4f4;
	text-align: left;
	vertical-align: middle;
}

td.col-brown{
    background-color: #E6D0D1;
    text-align: left;
	
}
						
div.box {
    background: #f5f5f5;
    border: 1px solid #FFF;
    padding: 2px 2px 0px 2px;
    margin: var(--standard-padding) 10px var(--standard-padding) 10px;
    border-radius: 1px;
    -moz-border-radius: 1px;
    -webkit-border-radius: 1px;
    box-shadow: 1px 2px 4px rgba(0, 0, 0, .4);
    float: right;
    width: 11em;
    display:table;
    flex-direction: column;
    align-items: center;
    }

div.outer {
display: flow-root;
}

div>div {
	margin-top: 0px !important;
}

abbr[title]{
color: black !important;
text-decoration: none !important;
border-bottom: dotted 1px black !important;
}

p.list6 {
    margin: 0px;
    text-indent: -2.3em;
    margin-left: 2.5em;
    margin-bottom: 0.4em;
    margin-top: 0.05em;
}

p.list7 {
    margin: 0px;
    text-indent: -2.5em;
    margin-left: 2.5em;
    margin-bottom: 0.4em;
    margin-top: 0.05em;
}

p.list8 {
    margin: 0px;
    text-indent: -3.0em;
    margin-left: 2.5em;
    margin-bottom: 0.4em;
    margin-top: 0.05em;
}

p.list9 {
    margin: 0px;
    text-indent: -3.3em;
    margin-left: 2.5em;
    margin-bottom: 0.4em;
    margin-top: 0.05em;
}